ELF_GETPHNUM(3)

NAME
elf_getphnum - return the number of program headers in an ELF file

LIBRARY
libelf

SYNOPSIS
#include <libelf.h>
int
elf_getphnum(Elf *elf, size_t *phnum);

DESCRIPTION
This function is deprecated. Please use function elf_getphdrnum(3) instead.

Function elf_getphnum() retrieves the number of ELF program headers associated with descriptor elf and stores it into the location pointed to by argument phnum.

This routine allows applications to uniformly process both normal ELF objects and ELF objects that use extended numbering.

RETURN VALUES
Function elf_getphnum() returns a non-zero value if successful, or zero in case of an error.

ERRORS
Function elf_getphnum() can fail with the following errors:

[ELF_E_ARGUMENT]
    A NULL value was passed in for argument elf.

[ELF_E_ARGUMENT]
    Argument elf was not for an ELF file.

[ELF_E_ARGUMENT]
    Argument elf lacks an ELF Executable Header.

[ELF_E_HEADER]
    The ELF Executable Header associated with argument elf was corrupt.

[ELF_E_SECTION]
    The section header at index SHN_UNDEF was corrupt.

SEE ALSO
elf(3), elf32_getehdr(3), elf64_getehdr(3), elf_getident(3), elf_getphdrnum(3), elf_getshdrnum(3), elf_getshdrstrndx(3), gelf(3), gelf_getehdr(3)